> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pipeline by UUID

> Returns pipeline detail. With query includeRelatedObjects=true returns pipeline, sourceReader, sourceConnector, and optional destinationConnector; otherwise returns FullPipeline only.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /pipelines/{uuid}
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /pipelines/{uuid}:
    get:
      tags:
        - Pipelines
      summary: Get pipeline by UUID
      description: >-
        Returns pipeline detail. With query includeRelatedObjects=true returns
        pipeline, sourceReader, sourceConnector, and optional
        destinationConnector; otherwise returns FullPipeline only.
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
        - in: query
          name: includeRelatedObjects
          schema:
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterPipelineDetailResponse'
          description: OK
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterPipelineDetailResponse:
      properties:
        destinationConnector:
          $ref: '#/components/schemas/PayloadsFullConnector'
        pipeline:
          $ref: '#/components/schemas/PayloadsFullPipeline'
        sourceConnector:
          $ref: '#/components/schemas/PayloadsFullConnector'
        sourceReader:
          $ref: '#/components/schemas/PayloadsSourceReader'
      required:
        - pipeline
        - sourceReader
        - sourceConnector
      type: object
    PayloadsFullConnector:
      properties:
        companyUUID:
          format: uuid
          type: string
        connectionLabel:
          type: string
        createdAt:
          format: date-time
          type: string
        dataPlaneName:
          nullable: true
          type: string
        defaultDatabase:
          type: string
        environmentUUID:
          format: uuid
          type: string
        isValid:
          type: boolean
        label:
          type: string
        sharedConfig: {}
        sshTunnelUUID:
          format: uuid
          nullable: true
          type: string
        type:
          $ref: '#/components/schemas/EnumsConnectorSlug'
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - label
        - uuid
        - createdAt
        - updatedAt
        - type
        - companyUUID
        - environmentUUID
        - isValid
      type: object
    PayloadsFullPipeline:
      properties:
        advancedSettings:
          $ref: '#/components/schemas/PayloadsPipelineAdvancedSettings'
        columnHashingSaltUUID:
          format: uuid
          nullable: true
          type: string
        companyUUID:
          format: uuid
          type: string
        createdAt:
          format: date-time
          type: string
        dataPlaneName:
          type: string
        destinationUUID:
          format: uuid
          nullable: true
          type: string
        encryptionKeyUUID:
          format: uuid
          nullable: true
          type: string
        environmentUUID:
          format: uuid
          type: string
        hasUndeployedChanges:
          type: boolean
        isDeploying:
          type: boolean
        lastDeployedAt:
          format: date-time
          nullable: true
          type: string
        lastUpdatedAt:
          format: date-time
          type: string
        name:
          type: string
        snowflakeEcoScheduleUUID:
          format: uuid
          nullable: true
          type: string
        sourceReaderUUID:
          format: uuid
          type: string
        sourceType:
          $ref: '#/components/schemas/EnumsConnectorSlug'
        specificDestCfg:
          $ref: '#/components/schemas/PayloadsSpecificConfig'
        status:
          $ref: '#/components/schemas/EnumsPipelineStatus'
        tables:
          items:
            $ref: '#/components/schemas/PayloadsTable'
          type: array
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - companyUUID
        - dataPlaneName
        - environmentUUID
        - name
        - createdAt
        - lastUpdatedAt
        - isDeploying
        - sourceType
        - hasUndeployedChanges
        - tables
        - specificDestCfg
        - advancedSettings
      type: object
    PayloadsSourceReader:
      properties:
        apiBaseURL:
          type: string
        companyUUID:
          format: uuid
          type: string
        connectorUUID:
          format: uuid
          type: string
        containerName:
          type: string
        createdAt:
          format: date-time
          type: string
        dataPlaneName:
          type: string
        database:
          type: string
        environmentUUID:
          format: uuid
          type: string
        isShared:
          nullable: true
          type: boolean
        isValid:
          type: boolean
        name:
          type: string
        settings:
          $ref: '#/components/schemas/PayloadsSourceReaderSettingsPayload'
        status:
          $ref: '#/components/schemas/EnumsSourceReaderStatus'
        tablesConfig:
          $ref: '#/components/schemas/PayloadsSourceReaderTablesConfig'
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - name
        - companyUUID
        - dataPlaneName
        - environmentUUID
        - connectorUUID
        - status
        - isValid
        - database
        - containerName
        - settings
      type: object
    EnumsConnectorSlug:
      enum:
        - api
        - bigquery
        - clickhouse
        - cockroach
        - databricks
        - documentdb
        - dynamodb
        - gcs
        - iceberg
        - keyspaces
        - mongodb
        - motherduck
        - mssql
        - mysql
        - oracle
        - postgresql
        - redis
        - redshift
        - s3
        - snowflake
      type: string
    PayloadsPipelineAdvancedSettings:
      properties:
        appendOnly:
          type: boolean
        autoReplicateIgnoreRegex:
          type: string
        autoReplicateNewTables:
          type: boolean
        bigQueryReservation:
          type: string
        bufferRows:
          type: integer
        defaultSourceSchema:
          type: string
        dropDeletedColumns:
          type: boolean
        dynamoDBBackfillConfig:
          $ref: '#/components/schemas/PayloadsDynamoDBSnapshotConfig'
        enableSoftDelete:
          type: boolean
        flushIntervalSeconds:
          type: integer
        flushSizeKb:
          type: integer
        forceUTCTimezone:
          type: boolean
        includeArtieOperationColumn:
          type: boolean
        includeArtieUpdatedAtColumn:
          type: boolean
        includeDatabaseUpdatedAtColumn:
          type: boolean
        includeFullSourceTableNameColumn:
          type: boolean
        includeFullSourceTableNameColumnAsPrimaryKey:
          type: boolean
        includeSourceMetadataColumn:
          type: boolean
        maxConcurrentSnapshots:
          minimum: 0
          type: integer
        nullOutInvalidValues:
          type: boolean
        reuseStagingTable:
          type: boolean
        sessionDriverMemory:
          type: string
        sessionExecutorMemory:
          type: string
        snowpipeStreamingMaxChannels:
          type: integer
        splitEventsByType:
          type: boolean
        stagingSchema:
          type: string
        staticColumns:
          items:
            $ref: '#/components/schemas/PayloadsStaticColumn'
          nullable: true
          type: array
        tablesPerTransferPod:
          minimum: 0
          type: integer
        truncateExceededValues:
          type: boolean
        turboLatencyThresholdMinutes:
          type: integer
        turboRowThreshold:
          type: integer
        turboWarehouse:
          type: string
        useBQBatchPriority:
          type: boolean
        useBigNumericForVariableNumeric:
          type: boolean
        useSnowpipeStreaming:
          type: boolean
        waitForTopics:
          type: boolean
        writeRawBinaryValues:
          type: boolean
      type: object
    PayloadsSpecificConfig:
      properties:
        bucketName:
          type: string
        containerName:
          type: string
        database:
          type: string
        dynamicallyCreateNamespaces:
          type: boolean
        externalStageName:
          type: string
        externalStageS3Bucket:
          type: string
        externalStageS3Prefix:
          type: string
        folderName:
          type: string
        schema:
          type: string
        schemaNamePrefix:
          type: string
        tableNameSeparator:
          type: string
        useSameSchemaAsSource:
          type: boolean
      type: object
    EnumsPipelineStatus:
      enum:
        - draft
        - paused
        - transfer paused
        - running
      type: string
    PayloadsTable:
      properties:
        advancedSettings:
          $ref: '#/components/schemas/PayloadsTableAdvancedSettings'
        createdAt:
          format: date-time
          type: string
        destinationTableName:
          type: string
        disableReplication:
          type: boolean
        enableHistoryMode:
          type: boolean
        historyTableStatus:
          type: string
        individualDeployment:
          type: boolean
        isPartitioned:
          type: boolean
        name:
          type: string
        schema:
          type: string
        status:
          type: string
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      type: object
    PayloadsSourceReaderSettingsPayload:
      properties:
        allowMSSQLCaptureInstancesViaReader:
          nullable: true
          type: boolean
        azureBlobStorageConfig:
          $ref: '#/components/schemas/PayloadsAzureBlobStorageConfig'
        backfillBatchSize:
          minimum: 0
          nullable: true
          type: integer
        databasesToSync:
          items:
            type: string
          nullable: true
          type: array
        disableAutoFetchTables:
          nullable: true
          type: boolean
        disableFullDocumentBeforeChange:
          nullable: true
          type: boolean
        disableNoCursorTimeout:
          nullable: true
          type: boolean
        enableClientSideFullDocumentLookup:
          nullable: true
          type: boolean
        enableHeartbeats:
          nullable: true
          type: boolean
        mssqlReplicationMethod:
          nullable: true
          type: string
        oneTopicPerSchema:
          nullable: true
          type: boolean
        publicationAutoCreateMode:
          nullable: true
          type: string
        publicationNameOverride:
          nullable: true
          type: string
        publishViaPartitionRoot:
          nullable: true
          type: boolean
        replicationSlotOverride:
          nullable: true
          type: string
        unifyAcrossDatabases:
          nullable: true
          type: boolean
        unifyAcrossSchemas:
          nullable: true
          type: boolean
        unifyAcrossSchemasRegex:
          nullable: true
          type: string
        useAdvanceOnPrimaryKeepAlive:
          nullable: true
          type: boolean
        useNumericTypesForMoney:
          nullable: true
          type: boolean
      type: object
    EnumsSourceReaderStatus:
      enum:
        - draft
        - paused
        - running
      type: string
    PayloadsSourceReaderTablesConfig:
      additionalProperties:
        $ref: '#/components/schemas/PayloadsSourceReaderTable'
      nullable: true
      type: object
    PayloadsDynamoDBSnapshotConfig:
      properties:
        bucket:
          type: string
        enabled:
          type: boolean
        exportArn:
          type: string
        optionalFolder:
          type: string
      type: object
    PayloadsStaticColumn:
      properties:
        column:
          type: string
        value:
          type: string
      type: object
    PayloadsTableAdvancedSettings:
      properties:
        alias:
          type: string
        backfillFromDatabases:
          items:
            type: string
          nullable: true
          type: array
        backfillFromSchemas:
          items:
            type: string
          nullable: true
          type: array
        bigQueryPartitionSettings:
          $ref: '#/components/schemas/PayloadsBigQuerySettings'
        bufferRows:
          type: integer
        columnsToCompress:
          items:
            type: string
          type: array
        columnsToEncrypt:
          items:
            type: string
          type: array
        columnsToHash:
          items:
            type: string
          type: array
        ctidSettings:
          $ref: '#/components/schemas/PayloadsCTIDSettings'
        encryptJSONBColumns:
          type: boolean
        endingPrimaryKey:
          type: string
        excludeColumns:
          items:
            type: string
          type: array
        flushIntervalSeconds:
          type: integer
        flushSizeKb:
          type: integer
        historyTableBackfillFromSchemas:
          items:
            type: string
          nullable: true
          type: array
        includeColumns:
          items:
            type: string
          type: array
        k8sRequestCPU:
          minimum: 0
          type: integer
        k8sRequestMemoryMB:
          minimum: 0
          type: integer
        mergePredicates:
          items:
            $ref: '#/components/schemas/PayloadsMergePredicates'
          type: array
        msmFlushCount:
          minimum: 0
          type: integer
        primaryKeysOverride:
          items:
            type: string
          nullable: true
          type: array
        rangeSettings:
          $ref: '#/components/schemas/PayloadsRangeSettings'
        shouldBackfillHistoryTable:
          nullable: true
          type: boolean
        skipBackfill:
          type: boolean
        skipDelete:
          type: boolean
        skipNoOpUpdates:
          type: boolean
        softPartitioning:
          $ref: '#/components/schemas/PayloadsSoftPartitioning'
        startingPrimaryKey:
          type: string
        streamARN:
          type: string
        unifyAcrossDatabases:
          type: boolean
        unifyAcrossSchemas:
          type: boolean
      type: object
    PayloadsAzureBlobStorageConfig:
      properties:
        accountURL:
          type: string
        containerName:
          type: string
        sasToken:
          type: string
      type: object
    PayloadsSourceReaderTable:
      properties:
        excludeColumns:
          items:
            type: string
          type: array
        includeColumns:
          items:
            type: string
          type: array
        isPartitioned:
          type: boolean
        name:
          type: string
        schema:
          type: string
        unifyAcrossDatabases:
          type: boolean
        unifyAcrossSchemas:
          type: boolean
      type: object
    PayloadsBigQuerySettings:
      properties:
        partitionBy:
          type: string
        partitionField:
          type: string
        partitionType:
          type: string
      type: object
    PayloadsCTIDSettings:
      properties:
        chunkSize:
          minimum: 0
          type: integer
        enabled:
          type: boolean
        maxParallelism:
          minimum: 0
          type: integer
      type: object
    PayloadsMergePredicates:
      properties:
        partitionBy:
          type: string
        partitionField:
          type: string
        partitionType:
          type: string
      type: object
    PayloadsRangeSettings:
      properties:
        batchSize:
          minimum: 0
          type: integer
        chunksSize:
          minimum: 0
          type: integer
        enabled:
          type: boolean
        maxParallelism:
          minimum: 0
          type: integer
      type: object
    PayloadsSoftPartitioning:
      properties:
        enabled:
          type: boolean
        maxPartitions:
          type: integer
        partitionColumn:
          type: string
        partitionFrequency:
          type: string
        partitionSchema:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````